Loading...
Searching...
No Matches
Opm::Serializer< Packer >::has_serializeOp< T, std::void_t< decltype(std::declval< T >().serializeOp(std::declval< Serializer< Packer > & >()))> > Struct Template Reference

Detect existence of `serializeOp` member function. More...

`#include <Serializer.hpp>`

Inheritance diagram for Opm::Serializer< Packer >::has_serializeOp< T, std::void_t< decltype(std::declval< T >().serializeOp(std::declval< Serializer< Packer > & >()))> >:

## Detailed Description

template<class Packer>
template<typename T>
struct Opm::Serializer< Packer >::has_serializeOp< T, std::void_t< decltype(std::declval< T >().serializeOp(std::declval< Serializer< Packer > & >()))> >

Detect existence of `serializeOp` member function.

Non-default, albeit common, case (type has `serializeOp` member function)

The documentation for this struct was generated from the following file:

- opm/common/utility/Serializer.hpp